com.amazonaws.services.codecommit.model

## Class InvalidRepositoryTriggerDestinationArnException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.SdkClientException
            - - com.amazonaws.AmazonServiceException
              - - com.amazonaws.services.codecommit.model.AWSCodeCommitException
                - - com.amazonaws.services.codecommit.model.InvalidRepositoryTriggerDestinationArnException

All Implemented Interfaces:
  Serializable

    public class InvalidRepositoryTriggerDestinationArnException
    extends AWSCodeCommitException

The Amazon Resource Name (ARN) for the trigger is not valid for the specified destination. The most common reason for this error is that the ARN does not meet the requirements for the service type.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException

`AmazonServiceException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`InvalidRepositoryTriggerDestinationArnException(String message)` Constructs a new InvalidRepositoryTriggerDestinationArnException with the specified error message.

### Method Summary

### Methods inherited from class com.amazonaws.AmazonServiceException

`getErrorCode, getErrorMessage, getErrorType, getHttpHeaders, getMessage, getRawResponse, getRawResponseContent, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorMessage, setErrorType, setHttpHeaders, setRawResponse, setRawResponseContent, setRequestId, setServiceName, setStatusCode`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidRepositoryTriggerDestinationArnException

    public InvalidRepositoryTriggerDestinationArnException(String message)

Constructs a new InvalidRepositoryTriggerDestinationArnException with the specified error message.

Parameters:
  `message` - Describes the error encountered.